Bug 238687 - vietnamese/vnconvert: depends on to-be-removed gets(3)
Summary: vietnamese/vnconvert: depends on to-be-removed gets(3)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kai Knoblich
URL:
Keywords:
Depends on:
Blocks: 222796
  Show dependency treegraph
 
Reported: 2019-06-18 14:41 UTC by Ed Maste
Modified: 2019-09-06 20:09 UTC (History)
1 user (show)

See Also:
kai: merge-quarterly+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ed Maste freebsd_committer 2019-06-18 14:41:14 UTC
I intend to remove gets(3) in the near future and this port failed in the exp-run (PR 222796)

http://package18.nyi.freebsd.org/data/112amd64PR222796-default/2018-10-27_20h58m08s/logs/errors/vi-vnconvert-1.0.log

/tmp/vnconvert-e12722.o: In function `main':
vnconvert.c:(.text+0x13b): undefined reference to `gets'
vnconvert.c:(.text+0x1c3): undefined reference to `gets'
vnconvert.c:(.text+0x235): undefined reference to `gets'
vnconvert.c:(.text+0x2a7): undefined reference to `gets'
vnconvert.c:(.text+0x4c4): undefined reference to `gets'
cc: error: linker command failed with exit code 1 (use -v to see invocation)
*** Error code 1
Comment 1 commit-hook freebsd_committer 2019-09-06 15:41:27 UTC
A commit references this bug:

Author: kai
Date: Fri Sep  6 15:41:16 UTC 2019
New revision: 511321
URL: https://svnweb.freebsd.org/changeset/ports/511321

Log:
  vietnamese/vnconvert: Replace gets(3) with gets_s(3)

  The long deprecated and unsafe gets(3) function has been removed since
  FreeBSD 1300043.

  Thus replace the occurences of that function in the code with gets_s(3)
  which is a safer alternative.

  * Bump PORTREVISION due to changes in the code/package.

  PR:		238687
  Reported by:	emaste
  MFH:		2019Q3

Changes:
  head/vietnamese/vnconvert/Makefile
  head/vietnamese/vnconvert/files/patch-vnconvert.c
Comment 2 Ed Maste freebsd_committer 2019-09-06 16:44:56 UTC
Thanks!
Comment 3 commit-hook freebsd_committer 2019-09-06 20:06:31 UTC
A commit references this bug:

Author: kai
Date: Fri Sep  6 20:06:04 UTC 2019
New revision: 511359
URL: https://svnweb.freebsd.org/changeset/ports/511359

Log:
  MFH: r511321

  vietnamese/vnconvert: Replace gets(3) with gets_s(3)

  The long deprecated and unsafe gets(3) function has been removed since
  FreeBSD 1300043.

  Thus replace the occurences of that function in the code with gets_s(3)
  which is a safer alternative.

  * Bump PORTREVISION due to changes in the code/package.

  PR:		238687
  Reported by:	emaste
  Approved by:	ports-secteam (joneum)

Changes:
_U  branches/2019Q3/
  branches/2019Q3/vietnamese/vnconvert/Makefile
  branches/2019Q3/vietnamese/vnconvert/files/patch-vnconvert.c
Comment 4 Kai Knoblich freebsd_committer 2019-09-06 20:09:51 UTC
(In reply to Ed Maste from comment #2)

Pleasure, the changes were committed to the head and 2019Q3 branches.